## Get an entity by ID **get** `/entities/{id}` Retrieve detailed information about a specific entity ### Path Parameters - `id: string` ### Returns - `Entity object { id, created_at, display_name, 6 more }` - `id: string` Unique identifier with entity_ prefix - `created_at: string` Timestamp when the entity was created - `display_name: string` Display name of the entity - `household_id: string` Household ID this entity belongs to - `in_estate_status: "in_estate" or "out_of_estate" or "none"` Whether the entity is in or out of the estate - `"in_estate"` - `"out_of_estate"` - `"none"` - `kind: EntityKind` Type of entity - determines the specific subtype and applicable fields - `"REVOCABLE_TRUST"` - `"IRREVOCABLE_TRUST"` - `"SLAT_TRUST"` - `"ILIT_TRUST"` - `"QPRT_TRUST"` - `"GRAT_TRUST"` - `"CRT_TRUST"` - `"CLT_TRUST"` - `"INDIVIDUAL_PERSONAL_ACCOUNT"` - `"JOINT_PERSONAL_ACCOUNT"` - `"CUSTODIAL_PERSONAL_ACCOUNT"` - `"INSURANCE_PERSONAL_ACCOUNT"` - `"QUALIFIED_TUITION_PERSONAL_ACCOUNT"` - `"RETIREMENT_PERSONAL_ACCOUNT"` - `"DONOR_ADVISED_FUND"` - `"PRIVATE_FOUNDATION"` - `"LLC_BUSINESS_ENTITY"` - `"LP_BUSINESS_ENTITY"` - `"GP_BUSINESS_ENTITY"` - `"SOLE_PROPRIETORSHIP_BUSINESS_ENTITY"` - `"SCORP_BUSINESS_ENTITY"` - `"CCORP_BUSINESS_ENTITY"` - `stage: "PRE_CREATED" or "AI_CREATING" or "AI_CREATION_FAILED" or 7 more` Lifecycle stage of the entity - `"PRE_CREATED"` - `"AI_CREATING"` - `"AI_CREATION_FAILED"` - `"AI_NEEDS_REVIEW"` - `"DRAFT"` - `"READY_FOR_PROPOSAL"` - `"IMPLEMENTATION"` - `"ACTIVE"` - `"COMPLETED"` - `"ARCHIVED"` - `updated_at: string` Timestamp when the entity was last updated - `external_id: optional string` Customer-supplied identifier from an external system. Unique within the caller's tenant when set. ### Example ```http curl https://$WITHLUMINARY_SUBDOMAIN.withluminary.com/api/public/v1/entities/$ID ``` #### Response ```json { "id": "entity_01ARZ3NDEKTSV4RRFFQ69G5FAV", "created_at": "2024-01-15T09:30:00Z", "display_name": "My Revocable Trust", "household_id": "household_01ARZ3NDEKTSV4RRFFQ69G5FAV", "in_estate_status": "in_estate", "kind": "REVOCABLE_TRUST", "stage": "PRE_CREATED", "updated_at": "2024-01-20T14:45:00Z", "external_id": "crm-entity-12345" } ```